## gnome-print-copies

gnome-print-copies

## Synopsis

                        GnomePrintCopiesSelector;
                        GnomePrintCopiesSelectorClass;
    GtkWidget*          gnome_print_copies_selector_new     (void);
    void                gnome_print_copies_selector_set_copies
                                                            (GnomePrintCopiesSelector *gpc,
                                                             gint copies,
                                                             gboolean collate);
    gint                gnome_print_copies_selector_get_copies
                                                            (GnomePrintCopiesSelector *gpc);
    gboolean            gnome_print_copies_selector_get_collate
                                                            (GnomePrintCopiesSelector *gpc);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomePrintCopiesSelector

## Implemented Interfaces

GnomePrintCopiesSelector implements AtkImplementorIface and GtkBuildable.

## Properties

      "filter"                   GnomePrintFilter*     : Read / Write

## Signals

      "collate-set"                                    : Run First
      "copies-set"                                     : Run First

## Description

## Details

### GnomePrintCopiesSelector

    typedef struct _GnomePrintCopiesSelector GnomePrintCopiesSelector;

### GnomePrintCopiesSelectorClass

    typedef struct _GnomePrintCopiesSelectorClass GnomePrintCopiesSelectorClass;

### gnome_print_copies_selector_new ()

    GtkWidget*          gnome_print_copies_selector_new     (void);

Create a new GnomePrintCopies widget.

Returns : | A new GnomePrintCopies widget.

### gnome_print_copies_selector_set_copies ()

    void                gnome_print_copies_selector_set_copies
                                                            (GnomePrintCopiesSelector *gpc,
                                                             gint copies,
                                                             gboolean collate);

`gpc` : |
`copies` : |
`collate` : |

### gnome_print_copies_selector_get_copies ()

    gint                gnome_print_copies_selector_get_copies
                                                            (GnomePrintCopiesSelector *gpc);

`gpc` : |
Returns : |

### gnome_print_copies_selector_get_collate ()

    gboolean            gnome_print_copies_selector_get_collate
                                                            (GnomePrintCopiesSelector *gpc);

`gpc` : |
Returns : |

## Property Details

### The `"filter"` property

      "filter"                   GnomePrintFilter*     : Read / Write

Filter.

## Signal Details

### The `"collate-set"` signal

    void                user_function                      (GnomePrintCopiesSelector *printcopiesselector,
                                                            gboolean                  arg1,
                                                            gpointer                  user_data)                : Run First

`printcopiesselector` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"copies-set"` signal

    void                user_function                      (GnomePrintCopiesSelector *printcopiesselector,
                                                            gint                      arg1,
                                                            gpointer                  user_data)                : Run First

`printcopiesselector` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.